> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Voice Outcomes

> Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.

Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.

### Query parameters

<ParamField query="resolution" type="string" />

<ParamField query="billing_status" type="string" />

<ParamField query="billable_sku" type="string" />

<ParamField query="call_type" type="string" />

<ParamField query="limit" type="integer (int64)" />

<ParamField query="offset" type="integer (int64)" />

### Response

`VoiceOutcomesListResponse`

<ResponseField name="count" type="integer" required />

<ResponseField name="ok" type="boolean" required />

<ResponseField name="outcomes" type="VoiceOutcome[]" required>
  <Expandable title="VoiceOutcome">
    <ResponseField name="agent_name" type="string,null" />

    <ResponseField name="billable_sku" type="string,null" />

    <ResponseField name="billing_status" type="string" required />

    <ResponseField name="call_sid" type="string,null" />

    <ResponseField name="call_type" type="string,null" />

    <ResponseField name="created_at" type="string (date-time)" required />

    <ResponseField name="customer_phone" type="string,null" />

    <ResponseField name="disposition" type="any" required />

    <ResponseField name="duration_seconds" type="integer,null (int32)" />

    <ResponseField name="escalated" type="boolean" required />

    <ResponseField name="id" type="string (uuid)" required />

    <ResponseField name="metadata" type="any" required />

    <ResponseField name="occurred_at" type="string (date-time)" required />

    <ResponseField name="org_id" type="string,null" />

    <ResponseField name="outcome_source" type="string" required />

    <ResponseField name="primary_intent" type="string,null" />

    <ResponseField name="resolution" type="string" required />

    <ResponseField name="risk_level" type="string,null" />

    <ResponseField name="stream_sid" type="string" required />

    <ResponseField name="tenant_id" type="string" required />

    <ResponseField name="updated_at" type="string (date-time)" required />
  </Expandable>
</ResponseField>

<ResponseField name="tenant" type="string" required />

### Status codes

| Code  | Meaning                       |
| ----- | ----------------------------- |
| `200` | List canonical voice outcomes |
| `400` | Invalid query                 |
| `401` | Unauthorized                  |
| `503` | Database not configured       |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.voice.stateset.com/api/v1/voice-outcomes' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "count": 1,
    "ok": true,
    "outcomes": [
      {
        "agent_name": null,
        "billable_sku": null,
        "billing_status": "string",
        "call_sid": null,
        "call_type": null,
        "created_at": "2026-07-24T12:00:00Z",
        "customer_phone": null,
        "disposition": null,
        "duration_seconds": null,
        "escalated": true,
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "metadata": null,
        "occurred_at": "2026-07-24T12:00:00Z",
        "org_id": null,
        "outcome_source": "string",
        "primary_intent": null,
        "resolution": "string",
        "risk_level": null,
        "stream_sid": "string",
        "tenant_id": "string",
        "updated_at": "2026-07-24T12:00:00Z"
      }
    ],
    "tenant": "string"
  }
  ```
</ResponseExample>
